EDIT - feature request #6911
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Migrate concept view
08/14/2017 09:48 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal

Description

Associated revisions

Revision 9ad85674 - 08/21/2017 05:48 PM - Patrick Plitzner

ref #6911 Migrate concept view

Revision 19c6a52f - 09/04/2017 03:35 PM - Patrick Plitzner
ref #6911 Fix part labeling

Revision 20b57¢c9c - 09/15/2017 03:04 PM - Patrick Plitzner
ref #6911 Fix potential NPE

Revision 9952747b - 09/15/2017 03:09 PM - Patrick Plitzner
ref #6911 fix selection handling

Revision daObf48a - 09/22/2017 10:53 AM - Patrick Plitzner

ref #6911, #6925 Clear views when selection providing editor is closed

Revision 8e734ea0 - 09/22/2017 01:38 PM - Patrick Plitzner
ref #6911 Fix potential NPE

Revision 4fa58466 - 10/27/2017 12:47 PM - Patrick Plitzner
ref #6911 Fix "Open in bulk editor" handler

History

#1 - 08/21/2017 05:49 PM - Patrick Plitzner

- Status changed from New to Resolved

- Assignee changed from Patrick Plitzner to Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 4.10

- % Done changed from 0 to 50

#2 - 09/13/2017 11:34 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

When editing a concept relationship in the details view the concept view becomes empty. Also the save button is disabled.
Also when closing the according taxon in name editor an NPE is thrown (constantly, seems to be a loop):

Caused by: java.lang.NullPointerException

at eu.etaxonomy.taxeditor.ui.section.taxon.TaxonRelationshipDetailElement.getSourceTaxon (TaxonRelationship
DetailElement.java:133)
The NPE itself does not seem to be new. But the loop. Both need to be fixed.
#3 - 09/15/2017 03:09 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

#4 - 09/20/2017 07:41 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

All mentioned issues seem to be fixed (loss of focus, save button, closing taxon exception).

A new open issue is: when closing the taxon the concept view and the details view are not emptied but still keeping the data of the concept
relationship(s).

#5 - 09/20/2017 07:42 PM - Andreas Miiller
- % Done changed from 50 to 80

#6 - 09/22/2017 09:05 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller

#7 - 09/22/2017 09:10 AM - Patrick Plitzner

- Assignee changed from Andreas Miiller to Patrick Plitzner

#8 - 09/22/2017 09:46 AM - Andreas Miiller

No taxon is open, | open a taxon with concept relations, the relations are shown in the concept view. When clicking on the first relation it is shown in
the details view.
Now | close the taxon again => concept and details view are not empty (but should)

#9 - 09/22/2017 10:03 AM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 80 to 90

#10 - 09/22/2017 12:40 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

This is still not fully fixed. Both views are emptied but the details view immediately is refilled (looks like the empty concept view gets the focus again
and remembers the invisible object that it represents.

#11 - 09/22/2017 12:42 PM - Andreas Miiller

Also an exception may appear if you open the name editor, concept view and detail as above, and additionally you have the supplemental data view
open.
After closing the supplemental data view (instead of the taxon) you get

login : admin
editor version : 4.10.0.201709220905
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 4.7.0.0.201710040000
os : Windows Server 2012 R2 6.3 amd64
Java : 1.8.0_121
org.eclipse.swt.SWTException: Failed to execute runnable (java.lang.NullPointerException)
at org.eclipse.swt.SWT.error (SWT. java:4533)
at org.eclipse.swt.SWT.error (SWT. java:4448)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:185)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine.java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)
at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.start (EclipseAppLauncher.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.taxeditor.view.e4.AbstractCdmEditorPartE4.showViewer (AbstractCdmEditorPartE4. java:148)

at eu.etaxonomy.taxeditor.view.ed.supplementaldata.SupplementalDataPartE4.selectionChanged_internal (Supple
mentalDataPartE4.java:106)

at eu.etaxonomy.taxeditor.view.e4.AbstractCdmEditorPartE4$DelaySelection.run (AbstractCdmEditorPartE4. java:
77)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)

23 more

#12 - 09/22/2017 01:41 PM - Patrick Plitzner
Andreas Muller wrote:
This is still not fully fixed. Both views are emptied but the details view immediately is refilled (looks like the empty concept view gets the focus

again and remembers the invisible object that it represents.

But the view is emptied immediately when being clicked. The emptying of all views is a bit framework dependent because we cannot control (yet) the
order in which the views get the information that the editor is closed. That's why your assumption is correct: The concept view gets the focus before
being emptied and then the details view shows the information about the concept. This will be easier to fix in E4 and the current behavior does not
allow editing an already closed object (just displaying it).

#13 - 09/22/2017 01:42 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller

#14 - 09/22/2017 03:05 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Patrick Plitzner

Ok, so we will handle later. But what is about the exception? Also later or can this be fixed?

#15 - 09/22/2017 03:12 PM - Patrick Plitzner

Andreas Muller wrote:

Ok, so we will handle later. But what is about the exception? Also later or can this be fixed?

has been fixed with taxeditor|8e734ea0746d8e08bf82ce595b18e1bce2c3b69a

#16 - 09/22/2017 04:54 PM - Andreas Miiller
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Miiller

#17 - 09/25/2017 12:24 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Patrick Plitzner

Fix seems to work. So we can close the ticket | think.

#18 - 09/26/2017 04:52 PM - Patrick Plitzner
- % Done changed from 90 to 100
